Page MenuHomePhabricator

Describe control + data flow of extensions in readme
Closed, ResolvedPublic1 Estimated Story Points

Description

Motivation
Right now, the FileExporter readme only contains a description of the flow seen from a user's perspective. We don't yet have a place where performance / operations /release engineering people can go and get a quick idea whether or not there are potentially critical issues. Let's create this place.

Task

  • Add a description of control and data flow to the readme
  • Mention the set limits as described in T187214
  • Also document the hard limits

Live preview: https://github.com/wikimedia/mediawiki-extensions-FileImporter/blob/master/README.md

Event Timeline

Lea_WMDE created this task.Apr 3 2018, 8:27 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptApr 3 2018, 8:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 422183 had a related patch set uploaded (by WMDE-Fisch; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Describe command and data flow in README

https://gerrit.wikimedia.org/r/422183

Change 422183 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Describe command and data flow in README

https://gerrit.wikimedia.org/r/422183

So far, I am missing the mentioning of the limits we enforce :)

Change 426901 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Add basic documentation for transfer limit configurations

https://gerrit.wikimedia.org/r/426901

Change 426901 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add basic documentation for transfer limit configurations

https://gerrit.wikimedia.org/r/426901

thiemowmde updated the task description. (Show Details)Apr 17 2018, 2:35 PM
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-04-17 board.
Tobi_WMDE_SW changed the point value for this task from 5 to 1.Apr 17 2018, 2:42 PM

Change 427143 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Document hard-coded upper limits

https://gerrit.wikimedia.org/r/427143

Change 427143 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Document hard-coded upper limits

https://gerrit.wikimedia.org/r/427143

WMDE-Fisch closed this task as Resolved.Apr 19 2018, 8:55 AM